### Method

# GimpUi SizeEntry set_resolution

#### Declaration [src]

    void
    gimp_size_entry_set_resolution (
      GimpSizeEntry* gse,
      gint field,
      gdouble resolution,
      gboolean keep_size
    )

#### Description [src]

Sets the resolution (in dpi) for field # `field` of the `GimpSizeEntry`.

The `resolution` passed will be clamped to fit in [#GIMP_MIN_RESOLUTION..#GIMP_MAX_RESOLUTION].

This function does nothing if the `GimpSizeEntryUpdatePolicy` specified in `gimp_size_entry_new()` doesn’t equal to #GIMP_SIZE_ENTRY_UPDATE_SIZE.

#### Parameters

`field`

  Type: `gint`

  The index of the field you want to set the resolution for.

`resolution`

  Type: `gdouble`

  The new resolution (in dpi) for the chosen `field`.

`keep_size`

  Type: `gboolean`

  `TRUE` if the `field`‘s size in pixels should stay the same. `FALSE` if the `field`‘s size in units should stay the same.